
Redmine - Defect #657

Back button - loses current page after viewing an issue - IE only

2008-02-13 16:46 - David Petersen

Status: Closed Start date: 2008-02-13

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

In IE if you are going through multiple pages of issues and click on one if you click the "back" button you are brought back to page 1

of the issues.  This is a pain because you then have to remember what page you were on and click back through the pages to find it.

Related issues:

Related to Redmine - Defect #1965: Redmine is not Tab Safe Closed 2008-09-29

Related to Redmine - Defect #3494: Browser "Back" to issue list displays wron... Closed 2009-06-13

Related to Redmine - Patch #7594: Proper pagination Closed 2011-02-09

Is duplicate of Redmine - Defect #5138: Don't use Ajax for pagination Closed 2010-03-20

History

#1 - 2008-02-22 17:11 - Witold Oleksiak

It's not only IE issue, it concerns Safari and Firefox on Mac OS X too. It looks like one of AJAX drawbacks..

#2 - 2008-05-08 05:14 - Henrique Bastos

It happens using Safari 3 on Mac OS X 10.4 (Tiger) too.

#3 - 2008-05-08 14:33 - Henrique Bastos

- Assignee set to Jean-Philippe Lang

Couldn't fix the subject. It's not a IE Only defect.

#4 - 2009-10-25 15:30 - S Reid

+1

#5 - 2010-05-16 16:23 - Felix Schäfer

Is this still the case? Does the defect happen when you view several individual issues, or when viewing several reports in the issue list?

#6 - 2010-05-17 15:43 - David Petersen

Yes this is still a problem.  Since the pages on the issues listing are being loaded via ajax calls the back button stops doesn't let you back through the

pages.  In order to fix this Redmine needs to use something like Ben Alman's Back Button and Query Library which has a hashhange event that can

be used to add back button support.

#7 - 2010-09-18 18:07 - man man

Any update? It is really annoying when go through issue list, forum, search result, etc with multiple pages.

#8 - 2011-02-09 19:09 - Brian Lindahl

related to #1965, #3494, and #5138

#9 - 2011-02-09 21:06 - Brian Lindahl

In #7594, I've created a patch to temporarily solve this problem until a real solution exists. It disables Ajax updates and uses direct linking for

pagination.

#10 - 2015-04-06 16:31 - Go MAEDA

- Status changed from New to Closed
http://benalman.com/projects/jquery-bbq-plugin/
https://www.redmine.org/issues/1965
https://www.redmine.org/issues/3494
https://www.redmine.org/issues/5138
https://www.redmine.org/issues/7594


- Resolution set to Duplicate

Fixed by #5138 (Redmine 1.2.0), removed ajax pagination.

#11 - 2015-04-06 16:31 - Go MAEDA

- Is duplicate of Defect #5138: Don't use Ajax for pagination added
